Module java.desktop
Package javax.swing.plaf.metal

# Class MetalIconFactory.TreeLeafIcon

java.lang.Object
javax.swing.plaf.metal.MetalIconFactory.FileIcon16
javax.swing.plaf.metal.MetalIconFactory.TreeLeafIcon

All Implemented Interfaces:
  `Serializable`, `Icon`

Enclosing class:
  MetalIconFactory

    public static class MetalIconFactory.TreeLeafIcon
    extends MetalIconFactory.FileIcon16

The class represents a tree leaf icon.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`TreeLeafIcon()` |

## Method Summary

### Methods declared in class javax.swing.plaf.metal.MetalIconFactory.FileIcon16

`getAdditionalHeight, getShift`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.swing.Icon

`getIconHeight, getIconWidth, paintIcon`

## Constructor Details

### TreeLeafIcon

public TreeLeafIcon()